Loading...
Searching...
No Matches
janus_streaming_helper Struct Reference
Collaboration diagram for janus_streaming_helper:
[legend]

## Data Fields

janus_streaming_mountpoint * | mp
guint | id
GThread * | thread
int | num_viewers
GList * | viewers
GAsyncQueue * | queued_packets
volatile gint | destroyed
janus_mutex | mutex
janus_refcount | ref

## Field Documentation

## destroyed

volatile gint janus_streaming_helper::destroyed

## id

guint janus_streaming_helper::id

## mp

janus_streaming_mountpoint* janus_streaming_helper::mp

## mutex

janus_mutex janus_streaming_helper::mutex

## num_viewers

int janus_streaming_helper::num_viewers

## queued_packets

GAsyncQueue* janus_streaming_helper::queued_packets

## ref

janus_refcount janus_streaming_helper::ref

## thread

GThread* janus_streaming_helper::thread

## viewers

GList* janus_streaming_helper::viewers

The documentation for this struct was generated from the following file:

- janus_streaming.c